package Variables

import (
	"os"
	"sync"
)

const (
	DatabaseName       string = "package_manager.db"
	FsHashDatabaseName string = "fs_hash.db"
)

var (
	WG sync.WaitGroup

	VerboseOutput     bool   = false
	RootDir           string = "/"
	FsHashPicksBucket []byte = []byte("FilesystemPicks")
	FsHashIndexBucket []byte = []byte("FilesystemIndex")

	PruneRegexPaths []string = []string{
		"^/\\.git$",
		"^/dist$",
		"^/boot/grub$",
		"^/proc$",
		"^/dev$",
		"^/mnt$",
		"^/sys$",
		"^/src$",
		"^/root$",
		"^/home$",
		"^/build$",
		"^/tools$",
		"^/run/user$",
		"^/usr/share/zoneinfo-leaps$",
		"^/usr/share/zoneinfo$",
		"^/usr/share/zsh$",
		"^/tmp$",
		"^/var/db$",
		"^/var/cache$",
		"^/var/log$",
		"^/var/spool$",
		"^/var/lib/texmf$",
		"^/var/lib/postgres$",
		"^/var/lib/pacman$",
		"^/var/lib/NetworkManager$",
		"^/var/lib/systemd$",
		"^/var/lib/xkb/README.compiled$",
		"/lost\\+found$",
	}

	IgnoreRegexPaths []string = []string{
		"^/swapfile$",
		"^/etc/passwd$",
		"^/etc/passwd-$",
		"^/etc/group$",
		"^/etc/group-$",
		"^/var/.updated$",
		"^/var/lib/mlocate/mlocate.db$",
		"^/var/lib/krb5kdc/kdc.conf$",
		"^/var/lib/alsa/asound.state$",
	}
)

func init() {
	var (
		rootDir string
	)
	rootDir = os.Getenv("ROOTDIR")
	if rootDir != "" {
		RootDir = rootDir
	}
}
